aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/barweather
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-04-07 23:38:07 +0300
committerYaroslav <contact@yaroslavps.com>2020-04-07 23:38:07 +0300
commit1c6210411c92374a340195efcc928a0be9b87b46 (patch)
treeebdd6b53582b95faf99c988a9735e19cbf7989a8 /dotfiles/.local/bin/barweather
parent349aaa3a5885225f8f7e4de2abe7887699c306a9 (diff)
downloadswayrice-1c6210411c92374a340195efcc928a0be9b87b46.tar.gz
swayrice-1c6210411c92374a340195efcc928a0be9b87b46.zip
small script improvements
Diffstat (limited to 'dotfiles/.local/bin/barweather')
-rwxr-xr-xdotfiles/.local/bin/barweather5
1 files changed, 4 insertions, 1 deletions
diff --git a/dotfiles/.local/bin/barweather b/dotfiles/.local/bin/barweather
index da8f25f..042fc52 100755
--- a/dotfiles/.local/bin/barweather
+++ b/dotfiles/.local/bin/barweather
@@ -10,7 +10,10 @@ if [ -n "$location" ]; then
fi
update_forecast() {
- ping -q -c 1 1.1.1.1 >/dev/null || exit
+ # Check several times before giving up, useful when just waking up from sleep
+ # since internet is usually not available right away
+ wget -q --tries=5 --timeout=20 --spider 1.1.1.1 > /dev/null || exit
+
forecast=$(curl -s wttr.in/"$location"?format=1)
if [ ${#forecast} -lt 30 ]; then
printf "%s\n" "$forecast" > "$cachefile"